﻿using UnityEngine;

public class BetterEyes : Mod
{
    public void Start()
    {
        Log("Mod has been loaded!");
    }

    [ConsoleCommand("improveEyes","Increase the distance that objects dissapear at")]
    public static void MyCommand(string[] args)
    {
        foreach (LODGroup lG in FindObjectsOfType<LODGroup>())
        {
            LOD[] lods = lG.GetLODs();
            for (int l = 0; l < lods.Length; l++)
                lods[l].screenRelativeTransitionHeight /= 20;
            lG.SetLODs(lods);
        }
    }

    public void OnModUnload()
    {
        Log("Mod has been unloaded!");
    }
}